package com.example.chatapp

import android.app.Application
import androidx.annotation.Nullable
import androidx.appcompat.app.AppCompatDelegate
import java.io.InputStream
import java.io.OutputStream
import java.net.Socket

class ChatApplication : Application() {

    override fun onCreate() {
        super.onCreate()
        /* Deactivation du dark mode */
        AppCompatDelegate.setDefaultNightMode(AppCompatDelegate.MODE_NIGHT_NO)

    }

    companion object {
        private var name: String = ""
        private var pass: String = ""
        private var idUser: Int = 0
        val address: String = "10.0.10.10"
        val port: Int = 42233

        fun getidUser(): Int {
            return this.idUser
        }

        fun setidUser(id: Int) {
            this.idUser = id
        }

        fun getName(): String {
            return this.name
        }

        fun setName(name: String) {
            this.name = name
        }

        fun setPass(pass: String) {
            this.pass = pass
        }

        fun getPass(): String {
            return this.pass
        }
    }

}